petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMMoabCreateMoab

Creates a DMMoab object, optionally from an instance and other data

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCreateMoab(MPI_Comm comm, moab::Interface *mbiface, moab::Tag *ltog_tag, moab::Range *range, DM *dmb)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the DMMoab object
mbiface -(ptr to) the MOAB Instance; if passed in NULL, MOAB instance is created inside PETSc, and destroyed along with the DMMoab
pcomm -(ptr to) a ParallelComm; if NULL, creates one internally for the whole communicator
ltog_tag -A tag to use to retrieve global id for an entity; if 0, will use GLOBAL_ID_TAG_NAME/tag
range -If non-NULL, contains range of entities to which DOFs will be assigned

### Output Parameter

dmb -The DMMoab object

### Keywords

DMMoab, create

### Level

intermediate

### Location

src/dm/impls/moab/dmmoab.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages